Name:           bzr-fastimport
Version:        0.10.0
Release:        2%{?dist}
Summary:        Bzr plugin for fast loading of data from other VCS tools
Group:          Development/Languages
# some modules in the exporters/ subdir are MIT-licensed
License:        GPLv2+ and MIT
URL:            https://launchpad.net/bzr-fastimport
Source0:        http://launchpad.net/%{name}/trunk/%{version}/+download/%{name}-%{version}.tar.gz
Patch0:         %{name}-shebang.patch
BuildArch:      noarch
BuildRequires:  python-setuptools-devel
BuildRequires:  bzr
Requires:       bzr

%description
Bazaar Fast Import is a plugin providing fast loading of revision control data 
into Bazaar. It is designed to be used in combination with front-end programs 
that generate a command/data stream for it to process. Front-ends are available 
for a wide range of foreign VCS tools including Subversion, CVS, Git, 
Mercurial, Darcs and Perforce. New front-ends are easy to develop in 
whatever programming language you prefer, making Bazaar Fast Import useful 
for teams needing a custom migration solution.

%prep
%setup -q
%patch0 -p1 -b .shebang

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
chmod 0755 $RPM_BUILD_ROOT%{python_sitelib}/bzrlib/plugins/fastimport/exporters/hg-fast-export.py
chmod 0755 $RPM_BUILD_ROOT%{python_sitelib}/bzrlib/plugins/fastimport/exporters/svn-fast-export.py

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc COPYING.txt NEWS README.txt
%{python_sitelib}/bzr_fastimport-*.egg-info
%{python_sitelib}/bzrlib/plugins/fastimport

%changelog
* Wed Aug 10 2011 Dan Callaghan <dcallagh@redhat.com> - 0.10.0-2
- use a patch instead of sed for removing erroneous shebangs

* Thu Jun 16 2011 Dan Callaghan <dcallagh@redhat.com> - 0.10.0-1
- initial version
